a = input().split()
a[0] = int(a[0])
a[1] = int(a[1])

ans = 0
irsup = a[1]-1
inrow = a[1]
while irsup > 0:
	inrow += irsup + 1
	irsup -= 1

if a[0] == 1:
	ans = inrow
else:
	ans = a[0]*a[1]
	while a[0] > 2:
		ans += inrow
		inrow += a[1]
		a[0] -= 1
	ans += 2*inrow
print(ans)
